header = """#!/usr/bin/env nextflow

import Helper

// Pipeline version
if (workflow.commitId){
    version = "0.1 $workflow.revision"
} else {
    version = "0.1 (local version)"
}

params.help = false
if (params.help){
    Help.print_help(params)
    exit 0
}

def infoMap = [:]
if (params.containsKey("fastq")){
    infoMap.put("fastq", file(params.fastq).size())
}
if (params.containsKey("fasta")){
    if (file(params.fasta) instanceof LinkedList){
        infoMap.put("fasta", file(params.fasta).size())
    } else {
        infoMap.put("fasta", 1) 
    }
}
if (params.containsKey("accessions")){
    BufferedReader reader = new BufferedReader(new FileReader(params.accessions));
    int lines = 0;
    while (reader.readLine() != null) lines++;
    reader.close();
    infoMap.put("accessions", lines)
}

Help.start_info(infoMap, "$workflow.start", "$workflow.profile")
    """